# Uses of Class
org.springframework.core.env.MutablePropertySources

Packages that use MutablePropertySources
Package
Description
org.springframework.core.env
Spring's environment abstraction consisting of bean definition profile and hierarchical property source support.

## Uses of MutablePropertySources in org.springframework.core.env

Methods in org.springframework.core.env that return MutablePropertySources
Modifier and Type
Method
Description
`MutablePropertySources`
AbstractEnvironment.`getPropertySources()`
`MutablePropertySources`
ConfigurableEnvironment.`getPropertySources()`
Return the `PropertySources` for this `Environment` in mutable form, allowing for manipulation of the set of `PropertySource` objects that should be searched when resolving properties against this `Environment` object.
Methods in org.springframework.core.env with parameters of type MutablePropertySources
Modifier and Type
Method
Description
`protected ConfigurablePropertyResolver`
AbstractEnvironment.`createPropertyResolver(MutablePropertySources propertySources)`
Factory method used to create the `ConfigurablePropertyResolver` used by this `Environment`.
`protected void`
AbstractEnvironment.`customizePropertySources(MutablePropertySources propertySources)`
Customize the set of `PropertySource` objects to be searched by this `Environment` during calls to `AbstractEnvironment.getProperty(String)` and related methods.
`protected void`
StandardEnvironment.`customizePropertySources(MutablePropertySources propertySources)`
Customize the set of property sources with those appropriate for any standard Java environment: "systemProperties" "systemEnvironment"
Constructors in org.springframework.core.env with parameters of type MutablePropertySources
Modifier
Constructor
Description
`protected`
`AbstractEnvironment(MutablePropertySources propertySources)`
Create a new `Environment` instance with a specific `MutablePropertySources` instance, calling back to `AbstractEnvironment.customizePropertySources(MutablePropertySources)` during construction to allow subclasses to contribute or manipulate `PropertySource` instances as appropriate.
`protected`
`StandardEnvironment(MutablePropertySources propertySources)`
Create a new `StandardEnvironment` instance with a specific `MutablePropertySources` instance.